Bug 242772 - System hang when downloading files.
System hang when downloading files.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 14:54 EDT by David Florence
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-10 14:56:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Florence 2007-06-05 14:54:43 EDT
Description of problem: Downloading with Pup, Pirut or Pan, will cause system to
hang after several minutes.


Version-Release number of selected component (if applicable): All current
versions in the "Moonshine" release.
Have a dual core AMD Opteron 64 and System Monitor flucuates between 50% and
100% processor usage when mouse held over try icon, but opening System Monitor
Resorces shows only 1% on each core. 
Unable to reboot without hitting the reset button.


How reproducible: Each time files or binaries are downloaded.


Steps to Reproduce:
1.Upate with Pup
2.Add/Remove Software with Pirut
3.Download binaries with Pan Newsreader
  
Actual results:
System hanges after several minutes

Expected results:
System not to hang.

Additional info: If ever able to get the system to reboot without freezing, the
the console output indicats an error flushing the SCSI cash on my primary ATA
drives, containing the /, /boot and /opt mount points, repectively...i.e. sda
and sdb.
When resetting, boot process must recover journals on all my hard discs.
Do not know where any log information would be kept for this type of problem,
otherwise I would submit anything needed. Please guide me!
Comment 1 Phil Knirsch 2007-06-06 08:41:56 EDT
Does this happen when you do other network and harddisk related things at the
same time together?

As this sounds more like a hardware problem resp. kernel bug where some
congestion or even deadlocks happen when you do harddisk writes and network
transfers.

Reassigning to kernel, maybe they can figure out more in detail whats happening
here.

Read ya, Phil
Comment 2 David Florence 2007-06-06 15:12:09 EDT
(In reply to comment #1)
> Does this happen when you do other network and harddisk related things at the
> same time together?
Yes
> 
> As this sounds more like a hardware problem resp. kernel bug where some
> congestion or even deadlocks happen when you do harddisk writes and network
> transfers.
> 
> Reassigning to kernel, maybe they can figure out more in detail whats happening
> here.
> 
> Read ya, Phil

Thank you for the reply, Dave
Comment 3 David Florence 2007-06-07 10:08:13 EDT
There is an additional problem, I failed to inform you of.
The SATA disc that is being written to, will occasionally  go into a protected
read/write mode. In other words, the disc is not accessible, must reboot.

Dave
Comment 4 Phil Knirsch 2007-06-08 09:02:12 EDT
That clearly sounds like a SATA driver/kernel/hardware problem, so kernel
definitely is the right place to check whats going on.

Read ya, Phil
Comment 5 David Florence 2007-06-08 21:01:10 EDT
Redirected the data flow to an EIDE or ATA drive and had the same results, as
the SATA.
Comment 6 David Florence 2007-06-10 14:56:04 EDT
Situation is becoming critical, system will slow down as the uptime increases.
Processor usage goes up to 100%. Unable to shut down without hitting reset button.
I cannot use the system in this state, will have to go to my Windblows box...eek!

Is there any information I can sent from the log files?

Dave

Note You need to log in before you can comment on or make changes to this bug.